> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/cosmos-hub/ibc-apps-interchain_accounts-controller-v1-params.md).

# /ibc/apps/interchain\_accounts/controller/v1/params

Params queries all parameters of the ICA controller submodule.

#### **Parameters:**

body - object

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://cosmos.blockpi.network/lcd/v1/<your-api-key>/ibc/apps/interchain_accounts/controller/v1/params

// Result
{
    "code": 2,
    "message": "value method github.com/cosmos/ibc-go/v3/modules/apps/27-interchain-accounts/controller/keeper.Keeper.Params called using nil *Keeper pointer: panic",
    "details": []
}
```

{% endcode %}
